#!/bin/bash
# Installation

PROJECT=pdfgetx2
VERSION=1.0

# 1) Set default directory names

INSTALLDIR=/usr/local
BINDIR=/usr/local/bin

echo Current directory: `pwd`
SRCDIR=`dirname $0`
[[ -h $0 ]] || [[ -L $0 ]] && {
   SRCFILE=`\readlink $0`
   SRCDIR=`\dirname $SRCFILE`
}

echo Source directory : $SRCDIR

# 2) Option for user to specify where to install

echo "Welcome to installation of PDFgetX2 $VERSION"
echo "The liscense statement will be show first, use SPACE to scroll!"
read -p "Press ENTER to continue ... "
more ./LICENSE.TXT
read -p "Do you ACCEPT the above statement? (Y/N)" YESNO
[[ x"$YESNO" == x"Y" ]] || [[ x"$YESNO" == x"y" ]] || {
   echo "Sorry, you need to reply Y or y to proceed!" 
   exit 2
}


echo "Default installation directory: $INSTALLDIR"
echo "Default location for executeable: $BINDIR"
read -p "Use different directories? (Y/N)" YESNO
[[ x"$YESNO" == x"Y" ]] || [[ x"$YESNO" == x"y" ]] && {
   echo "NO space is allowed in the path!!!"
   read -p "New installation directory:" INSTALLDIR
   read -p "New executeable directory:" BINDIR
}

[[ x"$INSTALLDIR" == x ]] || [[ x"$BINDIR" == x ]] && {
   echo "Path(s) found invalid, installation failed!!!"
   echo "Please run again."
   exit 1
}

INSTALLDIR=${INSTALLDIR%/}
BINDIR=${BINDIR%/}

# 3) start installation

echo "Start installation ..."
echo "      installation directory: $INSTALLDIR"
echo "      location for executeable: $BINDIR"

INSTALLDIR=$INSTALLDIR/$PROJECT
[[ -d $INSTALLDIR ]] || {
   mkdir $INSTALLDIR || {
      echo "can't make the new directory:  $INSTALLDIR"
      echo 
      echo "check whether you have the permission!"
      echo
      exit 2
   }
}

echo "coping files ..."
\cp -ra . $INSTALLDIR
\chmod ugo+rwx $INSTALLDIR
echo "making link ..."
\ln -sf $INSTALLDIR/$PROJECT $BINDIR/$PROJECT
\chmod ugo+rwx $BINDIR/$PROJECT

echo "installation successfully completed, thanks!"
echo "please type: $PROJECT to run the program"
exit 0
